etherape (0.9.18-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:56:25 +0800

etherape (0.9.18-1) unstable; urgency=medium

  * New upstream release.
    - EtherApe is now ported from gnomecanvas to GooCanvas.
      Closes: #885796
  * Adjust build dependencies.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 05 Jun 2018 15:05:20 +0200

etherape (0.9.17-1) unstable; urgency=high

  * New upstream release.
    - Fixes loading of gnomecanvas on startup.
      Closes: #894313
  * Bump Standards-Version to 4.1.4.
  * Move source.lintian-overrides file to the source subfolder.
  * Fix renamed lintian tag.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 11 Apr 2018 11:13:48 +0200

etherape (0.9.16-1) unstable; urgency=medium

  * New upstream release.
    - Deprecated gnome-common macros and variables are not used anymore.
      Closes: #830018
    - Merged german translation update.
      Closes: #882064
    - Remove gnome-doc-utils.make copy hack.
    - Remove patch 01-pthread-ldflags.
    - Replace build dependency gnome-doc-utils with yelp-tools and also drop
      rarian-compat.
      Closes: #885653
    - Adjust help install location.
  * Bump Standards-Version to 4.1.3.
  * Bump debian/compat to level 11.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 24 Jan 2018 15:20:07 +0100

etherape (0.9.15+hg20171110-1) unstable; urgency=medium

  * New upstream mercurial snapshot.
    - Remove merged patch 01-spelling-errors.
    - Remove merged patch 02-desktop-keywords.
    - Package does not depend on gnome-vfs anymore.
      Closes: #868385
    - Replace libgnomeui-dev build dependency with libgnomecanvas2-dev and
      libpopt-dev.
  * Bump Standards-Version to 4.1.1.
  * Add patch 01-pthread-ldflags to fix a FTBFS.
  * Remove a trailing whitespace from debian/changelog.
  * Work around a FTBFS on autoreconf by copying the missing
    gnome-doc-utils.make file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 10 Nov 2017 10:59:54 +0100

etherape (0.9.15-3) unstable; urgency=medium

  * Build etherape with c-ares support.
  * Bump debian/compat to level 10.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 Jul 2017 15:20:14 +0200

etherape (0.9.15-2) unstable; urgency=medium

  * Add new package etherape-data to fix arch-dep-package-has-big-usr-share.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 03 Jul 2017 16:12:43 +0200

etherape (0.9.15-1) unstable; urgency=medium

  * New upstream release.
    Closes: #857761
    - Fixes typo in protocol.
      Closes: #799198
  * Take over package maintenance with the agreement from Frederic. Much
    thanks for your previous work!
  * Bump Standards-Version to 4.0.0.
  * Bump debian/compat to level 9.
  * Switch debian/rules to dh style.
  * Remove obsolete README.Debian.
  * Remove obsolete menu file.
  * Replace debian/copyright with a machine readable format (DEP-5).
  * Modernize packaging.
  * Overwrite lintian warning debian-watch-may-check-gpg-signature.
  * Add patch 01-spelling-errors to fix a few spelling errors.
  * Remove deprecated etherape.desktop from debian/.
  * Add patch 02-desktop-keywords to add missing keywords to the desktop file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 03 Jul 2017 15:58:29 +0200

etherape (0.9.13-1) unstable; urgency=medium

  * New upstream release.
    * Include German translation. (closes: #549635)
  * ethereal-root.desktop: fix Categories, Icon and Terminal keys.
    (closes: #638972)
  * debian/source/format: switch to 3.0 (quilt).

  [ Hideki Yamane <henrich@debian.org> ]
  * debian/rules: drop unnecessary lines and specify "-fi" option to
    autoreconf. (fixes FTBFS, closes: #724205)
  * debian/control: add autopoint to run autoconf with above change.

 -- Frederic Peters <fpeters@debian.org>  Sat, 28 Dec 2013 14:13:01 +0100

etherape (0.9.12-1) unstable; urgency=high

  * New upstream release. (closes: #645324)
    * urgency=high for security
    * do not crash on some RPC packets (CVE-2011-3369)

 -- Frederic Peters <fpeters@debian.org>  Fri, 14 Oct 2011 13:33:21 -0400

etherape (0.9.10-1) unstable; urgency=low

  * New upstream release. (closes: #614246)

 -- Frederic Peters <fpeters@debian.org>  Sun, 20 Feb 2011 18:26:05 +0100

etherape (0.9.8-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Thu, 29 Oct 2009 09:02:10 +0100

etherape (0.9.7-2) unstable; urgency=low

  * debian/menu: update to "new" Debian menu policy. (closes: #546553)
  * debian/control, debian/compat, debian/rules: use debian/compat, not
    DH_COMPAT, and use debhelper > 5.
  * debian/control:
    * fixed spelling of GNOME in description
    * recommends menu, for su-to-roo
    * build-depends on autotools-dev, to get config.sub and config.guess
    * build-depends on libtool, autoconf, automake, to get libtoolize and
      autoreconf
    * replace scrollkeeper by rarian-compat
  * debian/rules:
    * don't ignore make clean error
    * remove call to deprecated dh_scrollkeeper
    * copy config.sub and config.guess from autotools-dev (closes: #546009)
    * run libtoolize, to avoid rpath
  * debian/etherape-root.desktop:
    * remove deprecated BinaryPattern key
    * remove duplicated TryExec key
    * remove deprecated Encoding key
    * switch from gksu to su-to-root (closes: #479811)
  * debian/copyright:
    * update with copyright info
  * etherape.desktop:
    * remove deprecated Encoding key
  * configure.in, po/sv.po: add a Swedish translation (closes: #343115)

 -- Frederic Peters <fpeters@debian.org>  Mon, 14 Sep 2009 09:31:35 +0200

etherape (0.9.7-1) unstable; urgency=low

  * New uptream release.

 -- Frederic Peters <fpeters@debian.org>  Thu,  5 Oct 2006 11:09:02 +0200

etherape (0.9.6-3) unstable; urgency=low

  * debian/control: dependency on scrollkeeper should have been added to
    Build-Depends (really closes: #375971)

 -- Frederic Peters <fpeters@debian.org>  Thu, 29 Jun 2006 16:31:42 +0200

etherape (0.9.6-2) unstable; urgency=low

  * debian/control: added dependency on scrollkeeper (closes: #375971)

 -- Frederic Peters <fpeters@debian.org>  Thu, 29 Jun 2006 14:24:41 +0200

etherape (0.9.6-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Wed, 28 Jun 2006 00:01:03 +0200

etherape (0.9.4-1) unstable; urgency=low

  * New upstream release. (closes: #360001)

 -- Frederic Peters <fpeters@debian.org>  Thu, 30 Mar 2006 08:40:00 +0200

etherape (0.9.0-9) unstable; urgency=low

  * glade/etherape.glade2: reverted to original glade-2 file since libglade2
    got fixed. (closes: #295154)
  * glade/etherape.glade2: manually edited to switch top-leve menu elements to
    stock GTK.
  * po/*.po: switched to UTF-8 (closes: #284722)

 -- Frederic Peters <fpeters@debian.org>  Mon, 14 Feb 2005 10:26:26 +0100

etherape (0.9.0-8) unstable; urgency=low

  * glade/etherape.glade2: load/save in glade-2 to get it working with new
    libglade2 version. (closes: #293106)
  * glade/etherape.glade2: switched top-level menu elements to stock GTK.
  * src/capture.c: applied patch from Andreas Jochens to compile with gcc 4.0.
    (closes: #284792)
  * debian/control: lower-cased first letter of description synopsis
  * debian/control: explicit over libpcap-dev package -> libpcap0.7-dev
  * debian/control: upped policy version to 3.6.1
  * po/fr.po: switched to UTF-8 and filled some missing translations (enough
    to closes: #284722)
  * debian/rules: moved from dh_installmanpages to dh_installman

 -- Frederic Peters <fpeters@debian.org>  Sat,  5 Feb 2005 18:43:11 +0100

etherape (0.9.0-7) unstable; urgency=low

  * src/main.c: fixed gnome_program_init call (thanks to Matthew Mueller)
    (closes: #255637)

 -- Frederic Peters <fpeters@debian.org>  Tue, 22 Jun 2004 08:52:15 +0200

etherape (0.9.0-6) unstable; urgency=low

  * Check for __res_mkquery in libc; patch from Goswin von Brederlow.
    (closes: #249809)
  * debian/menu: quote some strings

 -- Frederic Peters <fpeters@debian.org>  Fri, 28 May 2004 06:33:13 +0000

etherape (0.9.0-5) unstable; urgency=low

  * Added .desktop file to launch etherape as root (through gksu) (only shown
    if gksu is available) (closes: #150787)

 -- Frederic Peters <fpeters@debian.org>  Mon, 17 May 2004 10:26:41 +0200

etherape (0.9.0-4) unstable; urgency=low

  * debian/control: Changed section to gnome.
  * etherape.desktop: Added category (closes: #207921)
  * Makefile.am: changed directory for .desktop files to conform to
    the freedesktop.org Desktop Menu Specification.

 -- Frederic Peters <fpeters@debian.org>  Sat, 30 Aug 2003 22:59:11 +0200

etherape (0.9.0-3) unstable; urgency=low

  * Applied patch from Nathan R. Valentine to provide a fullscreen option.
    (closes: #206582)

 -- Frederic Peters <fpeters@debian.org>  Thu, 21 Aug 2003 19:15:46 +0200

etherape (0.9.0-2) unstable; urgency=low

  * The Makefile could produce a package without binary.  Since I can't test
    this (only happens on m68k) and can't see what to change in autoconf/make
    I changed debian/rules (target install) to fail if no /usr/bin/etherape
    is found.  (closes: #189159)

 -- Frederic Peters <fpeters@debian.org>  Wed, 16 Apr 2003 10:04:47 +0200

etherape (0.9.0-1) unstable; urgency=low

  * New upstream release. (closes: #183743)

 -- Frederic Peters <fpeters@debian.org>  Sat,  8 Mar 2003 00:13:56 +0100

etherape (0.8.2-4) unstable; urgency=low

  * Rebuilt with new libpcap0.7. (closes: #156188)

 -- Frederic Peters <fpeters@debian.org>  Sat, 10 Aug 2002 19:19:07 +0200

etherape (0.8.2-3) unstable; urgency=low

  * debian/control: Fixed typo in description. (closes: #135419)

 -- Frederic Peters <fpeters@debian.org>  Sun, 24 Feb 2002 00:51:32 +0100

etherape (0.8.2-2) unstable; urgency=low

  * configure.in, src/Makefile.am: explicitely talks about libglade since
    it moved due to Gnome 2 transition. (closes: #133713)
  * debian/changelog: removed emacs lines at the end of the file.
  * debian/copyright: fixed link to GPL.
  * debian/control: bumped Standard-Versions to 3.5.6.
  * doc/Makefile.am: removed build of manual since it was hardly finished
    (see bug #118573) and no longer builds with current docbook tools.
    I'll convert it to DocBook XML and clean it up for the next upload.

 -- Frederic Peters <fpeters@debian.org>  Wed, 13 Feb 2002 13:55:47 +0100

etherape (0.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Wed,  8 Aug 2001 11:50:29 +0200

etherape (0.7.4-1) unstable; urgency=low

  * Yet Another New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Thu, 10 May 2001 09:01:12 +0200

etherape (0.7.3-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Wed,  9 May 2001 09:23:13 +0200

etherape (0.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Tue,  8 May 2001 09:26:44 +0200

etherape (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Mon,  7 May 2001 15:51:58 +0200

etherape (0.6.9-3) unstable; urgency=low

  * Removed libdb2-dev from build dependencies since libgnome-dev already
    depends upon libdb-dev. (closes: #96407)

 -- Frederic Peters <fpeters@debian.org>  Mon,  7 May 2001 12:52:05 +0200

etherape (0.6.9-2) unstable; urgency=low

  * Added libdb2-dev to build dependencies. (closes: #96038)

 -- Frederic Peters <fpeters@debian.org>  Wed,  2 May 2001 13:27:50 +0200

etherape (0.6.9-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Fri, 27 Apr 2001 11:17:26 +0200

etherape (0.6.7-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Tue, 24 Apr 2001 11:09:14 +0200

etherape (0.6.6-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Mon, 23 Apr 2001 11:31:50 +0200

etherape (0.6.1-1) unstable; urgency=low

  * New upstream release. (closes: #80958)

 -- Frederic Peters <fpeters@debian.org>  Tue, 17 Apr 2001 12:35:10 +0200

etherape (0.5.7-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Wed,  4 Apr 2001 11:25:53 +0200

etherape (0.5.6-4) unstable; urgency=low

  * debian/rules: added dh_installmenu so that menu entry is installed.
  * (never uploaded)

 -- Frederic Peters <fpeters@debian.org>  Tue,  3 Apr 2001 10:08:53 +0200

etherape (0.5.6-3) unstable; urgency=low

  * show error messages in a dialog box instead of printing a message to
    the console and segfaulting. (closes: #63951, #66815)

 -- Frederic Peters <fpeters@debian.org>  Mon, 27 Nov 2000 19:19:23 +0100

etherape (0.5.6-2) unstable; urgency=low

  * Applied rest of the patch of Tuomas Jormola (and more):
  * debian/rules:
    - Comment out several dh_* lines that aren't needed.
    - Use dh_link instead of ln hack when creating the symlink
      for interape manual page.
    - Don't install ChangeLog with dh_installchangelogs since it'a
      a 0 byte file
    - Install NEWS as ChangeLog file since it is really a ChangeLog
  * debian/dirs:
    - Removed usr/bin which is (was) completely useless
  * debian/docs:
    - Removed an empty line
  * debian/control:
    - Upgrade to standards 3.1.1 since the package actually is
      3.1.1 compatible.
    - Added libglade-gnome-dev to Build-Depends (closes: #63878)

 -- Frederic Peters <fpeters@debian.org>  Mon, 27 Nov 2000 19:17:58 +0100

etherape (0.5.6-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Wed, 19 Apr 2000 19:55:52 +0200

etherape (0.5.0-2) unstable; urgency=low

  * Fixed glade interface location. (report and fix by Tuomas Jormola
    <tj@sgic.fi>) (closes: #62656)

 -- Frederic Peters <fpeters@debian.org>  Wed, 19 Apr 2000 19:55:52 +0200

etherape (0.5.0-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Mon, 17 Apr 2000 18:38:22 +0200

etherape (0.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Sun,  9 Apr 2000 23:50:12 +0200

etherape (0.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Sat,  8 Apr 2000 19:01:09 +0200

etherape (0.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Wed,  5 Apr 2000 19:07:22 +0200

etherape (0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Tue,  4 Apr 2000 18:39:16 +0200

etherape (0.3.7-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Sun, 26 Mar 2000 18:17:07 +0200

etherape (0.3.6-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Fri, 24 Mar 2000 18:48:18 +0100

etherape (0.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Mon, 20 Mar 2000 16:30:50 +0100

etherape (0.2.10-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Sat, 18 Mar 2000 17:14:46 +0100

etherape (0.2.9-1) unstable; urgency=low

  * Initial Release.

 -- Frederic Peters <fpeters@debian.org>  Thu, 16 Mar 2000 23:35:05 +0100
